Name:          libshout-idjc
Version:       2.4.5
Release:       1mamba
Summary:       Shoutcast client library for idjc
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://idjc.sourceforge.net/
Source:        https://downloads.sourceforge.net/project/libshoutidjc.idjc.p/libshout-idjc-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libogg-devel
BuildRequires: libopenssl-devel
BuildRequires: libspeex-devel
BuildRequires: libtheora-devel
BuildRequires: libvorbis-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Shoutcast client library for idjc.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Multimedia
Summary:       Tools provided with %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains the tools provided by %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libshout-idjc.so.*
%dir %{_libdir}/ckport
%dir %{_libdir}/ckport/db
%{_libdir}/ckport/db/libshout-idjc.ckport
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/shoutidjc
%{_includedir}/shoutidjc/shout.h
%{_libdir}/libshout-idjc.a
%{_libdir}/libshout-idjc.la
%{_libdir}/libshout-idjc.so
%{_libdir}/pkgconfig/shout-idjc.pc
%dir %{_datadir}/doc/libshout-idjc
%{_datadir}/doc/libshout-idjc/*

%files tools
%defattr(-,root,root)
%{_bindir}/shoutidjc
%{_mandir}/man1/shoutidjc.1*

%changelog
* Sat Feb 13 2021 Automatic Build System <autodist@mambasoft.it> 2.4.5-1mamba
- automatic version update by autodist

* Sun Jul 26 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-1mamba
- update to 2.4.3

* Sat Mar 23 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-1mamba
- package created by silvan using the webbuild interface
